from os.path import dirname, join

from ..ingestor.browse_report import parse_browse_report


TEST_DATA_DIR = join(dirname(__file__), 'data')


def test_parse_footprint_browse():
    with open(join(TEST_DATA_DIR, 'footprint_browse.xml')) as f:
        browse_report = parse_browse_report(f)


def test_parse_model_in_geotiff_browse():
    with open(join(TEST_DATA_DIR, 'model_in_geotiff_browse.xml')) as f:
        browse_report = parse_browse_report(f)


def test_parse_rectified_browse():
    with open(join(TEST_DATA_DIR, 'rectified_browse.xml')) as f:
        browse_report = parse_browse_report(f)
